uab.classes.MagicEffect = uab.mixins.aceOO.Class(uab.interfaces.IUnitEffect)

function uab.classes.MagicEffect.prototype:init()
	uab.classes.MagicEffect.super.prototype.init(self)
end

function uab.classes.MagicEffect.prototype:GetName()
	return "magic"
end

function uab.classes.MagicEffect.prototype:GetDisplayName()
	return "Magic"
end

function uab.classes.MagicEffect.prototype:GetDefaultHighlightColor()
	return { r = 0,    g = 0.25, b = 1, a = 1, }
end

function uab.classes.MagicEffect.prototype:IsActive(action, button, unit)
	return uab.mixins.aura:UnitHasDebuffType(unit, "Magic")
end

uab:RegisterUnitEffect(uab.classes.MagicEffect)
